sassにCompassに。インストールエラーが出た時(Mac)

sass_compass

sassのインストール

compassのインストール

そうすると、エラーがでました。

調べると
OSX 10.11 El Capitanだとだめみたいです。

OS Xの新たなセキュリティ整合性保護機能(SIP: System Integrity Protection)通称”Rootless”が導入されており、例え管理者権限(root)であっても”/System”, “/bin”, “/usr”, “/sbin”ディレクトリにファイルの作成が出来なくなっていますが、Appleは開発者向けにこのRootlessを操作するコマンド”csrutil”を提供しています。

????

色々調べて、
Command Line Developer Toolsをインストールする必要があるみたいだったり、
あれとかこれとかやってみたけど
一向に、

そこでこんな記事をみつけだしました。
Xcode – MacOSX El Capitanでcocoapodsインストールが出来ない時の対処法 – Qiita : http://qiita.com/AcaiBowl/items/4bb4708de03e6ee14a4a

こちらのインストールフォルダを変更するをやってみたら

できました!

そして

やると

とでました。

ちゃんとインストールされたっぽいですね。

ad